Skip to content

Get Organization Scan Count Per Agent.

Request

Returns the total number of scans in selected period and a breakdown per agent. The selected period cannot have start date older 30 days before the current date. Also selected period cannot be greater than 30 days

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

Query
searchany

Filter your search to return items whose property has a specific value. Use the syntax: property:operation:value where a colon (:) separates between property, operation and value.

  • Property: the name of the property of the item
  • Operation:
    • between - true if the value is inside a range. Syntax: lowest value comma (,) highest value. E.g. between:2019-05-01,2019-06-01
  • Value: the value of the property.

This endpoint supports filtering on this property:

  • date:between:date1,date2. E.g. between:2019-05-10,2019-06-01. Difference between dates cannot be greater than 30 days
GET
/api/v2.0/orgs/{orgToken}/summary/scanCountPerAgent
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/summary/scanCountPerAgent?search=%7Bsearch%7D' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValobject(ScanSummaryCountDTO)
Response
{ "supportToken": "1171c60d", "retVal": { "totalCount": 20, "agents": [] } }